Page MenuHomeFreeBSD

[NEW PORT] devel/py3-nose: variant of devel/py-nose for Python 3.x
ClosedPublic

Authored by woodsb02 on May 9 2016, 9:43 PM.

Details

Summary

Approved by: koobs (mentor)
PR: 207036

Test Plan

poudriere bulk -t \

devel/gaphor \
devel/py-biplist \
devel/py-columnize \
devel/py-geojson \
devel/py-mongoengine \
devel/py-nose \
devel/py-nose-cov \
devel/py-noseofyeti \
devel/py-repoze.who-friendlyform \
devel/py-tinyarray \
devel/py3-nose \
www/py-pylons \
www/py-turbogears2

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

woodsb02 updated this revision to Diff 16089.May 9 2016, 9:43 PM
woodsb02 retitled this revision from to [NEW PORT] devel/py3-nose: copy of devel/py-nose for Python 3.x.
woodsb02 updated this object.
woodsb02 edited the test plan for this revision. (Show Details)
woodsb02 added a reviewer: koobs.
woodsb02 added subscribers: adamw, mat.
woodsb02 updated this object.May 9 2016, 10:08 PM
mat added inline comments.May 10 2016, 6:00 AM
devel/py3-nose/Makefile
6 ↗(On Diff #16089)

Note that the default Python 3 will soon be 3.5, so this seems a bad idea to exclude 3.5.

woodsb02 retitled this revision from [NEW PORT] devel/py3-nose: copy of devel/py-nose for Python 3.x to [NEW PORT] devel/py3-nose: variant of devel/py-nose for Python 3.x.May 10 2016, 3:41 PM
woodsb02 removed subscribers: mat, adamw.
woodsb02 added inline comments.May 10 2016, 5:06 PM
devel/py3-nose/Makefile
6 ↗(On Diff #16089)

Unfortunately I believe py-nose actually does not work with python3.5.

This is confirmed by this upstream pull request, which has been committed and will be fixed in the next release.

Also, running "make regression-test" in the port directory passes with python3.4 but fails with python3.5. See the output of the
regressions test of devel/py3-nose-1.3.7 on FreeBSD 10.3 amd64 with python3.4 and python3.5

woodsb02 added a project: Python.

Note: koobs approved this as maintainer via the following message on Twitter:
"I'm ok [with this] if we can't get [VARIANTS support in the ports tree] done now... Have one of your other mentors review/approve (I'm cool if they are)."

mat edited edge metadata.May 18 2016, 11:50 AM
mat added a subscriber: bapt.

Note: koobs approved this as maintainer via the following message on Twitter:
"I'm ok [with this] if we can't get [VARIANTS support in the ports tree] done now... Have one of your other mentors review/approve (I'm cool if they are)."

Well, the work @bapt did on variants is there https://github.com/bapt/ports-wip/tree/variants if someone wants to take over, I think he somewhat gave up for lack of time.

adamw accepted this revision.May 18 2016, 4:40 PM
adamw edited edge metadata.
This revision is now accepted and ready to land.May 18 2016, 4:40 PM
This revision was automatically updated to reflect the committed changes.